Bump zookeeper from 3.4.5 to 3.4.14

Bumps zookeeper from 3.4.5 to 3.4.14.

---
updated-dependencies:
- dependency-name: org.apache.zookeeper:zookeeper
  dependency-type: direct:production
...

Signed-off-by: dependabot[bot] <support@github.com>
1 file changed